/* (c) https://github.com/MontiCore/monticore */
/* generated by template symboltable.ModelNameCalculator*/


package de.monticore.lang.application.application._symboltable;

import de.monticore.symboltable.SymbolKind;

import java.util.LinkedHashSet;
import java.util.Set;

public class ApplicationModelNameCalculator extends de.monticore.CommonModelNameCalculator {

    @Override
    public Set<String> calculateModelNames(final String name, final SymbolKind kind) {
        final Set<String> calculatedModelNames = new LinkedHashSet<>();

        calculatedModelNames.addAll(calculateModelNamesForSymbol(name));

        return calculatedModelNames;
    }

    protected Set<String> calculateModelNamesForSymbol(String name) {
        final Set<String> modelNames = new LinkedHashSet<>();
        modelNames.add(name);
        return modelNames;
    }


}
